Debian Bug report logs - #701962
ITP: libsodium -- Library for build higher-level cryptographic tools

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "csosstudy E." <csosstudy@gmail.com>

Date: Fri, 1 Mar 2013 08:15:04 UTC

Owned by: László Böszörményi (GCS) <gcs@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#701962; Package wnpp. (Fri, 01 Mar 2013 08:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "csosstudy E." <csosstudy@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 01 Mar 2013 08:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "csosstudy E." <csosstudy@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: libsodium -- Library for build higher-level cryptographic tools
Date: Fri, 1 Mar 2013 16:12:22 +0800
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

Package name        : libsodium
Version                   : 0.3
Upstream Author    : Frank Denis <github@pureftpd.org>
URL                         : https://github.com/jedisct1/libsodium
License                   : ISC
Description             : libsodium is a software library for
network communication, encryption,decryption, signatures, etc.
libsodium is a portable, cross-compilable, installable, packageable,
API-compatible version of NaCl.



Owner recorded as "csosstudy E." <csosstudy@gmail.com>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 01 Mar 2013 16:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Sat, 10 Aug 2013 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Sat, 10 Aug 2013 09:27:04 GMT) Full text and rfc822 format available.

Message #12 received at 701962@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 701962@bugs.debian.org
Cc: submitter-701962@bugs.debian.org
Subject: Any progress?
Date: Sat, 10 Aug 2013 11:25:22 +0200
[Message part 1 (text/plain, inline)]
  Hi:

  I'm also interested in having this packaged for Debian. Any progress on this?

  Thanks.
-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Thu, 14 Nov 2013 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Warning <moritzwarning@web.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Thu, 14 Nov 2013 13:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 701962@bugs.debian.org (full text, mbox):

From: Moritz Warning <moritzwarning@web.de>
To: 701962@bugs.debian.org
Subject: Existing package script
Date: Thu, 14 Nov 2013 14:03:34 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

There exists a build script for a libsodium Debian package:

https://github.com/ulikoehler/deb-buildscripts/blob/master/deb-libsodium.sh

Here is also a ticket for the libsodium project:

https://github.com/jedisct1/libsodium/issues/97

regards,
mwarning
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Icedove - http://www.enigmail.net/

iQEcBAEBAgAGBQJShMomAAoJECHrh56PP4wp5LYIAJ/YTsbKrCM1iKD4/2mNbnZH
iUK7UxUh7WnBcU19eB0J8gmFvZ/CUIRo5iCY65tqusAzRMfHFhuF6mRZdiT8zTVr
aanuVn1QJ0UYj4Sv2/jd8p4MC3Q3BczjPVlkgUEaXnbDXhTqK+sAQJJ0AjU+XYSq
qZU+hE58lUGaUPnbOC2KcLyEB6mx5y8scQtHlx1x6DthkZXV9C0LBq1kR+yzPlzM
TgKj3zMKIPE+yVoCSOvy0smGnn6E9C9UNxlTnF3s9QgYO7Uey1WTc7R/nXTTQ6OA
DTlmd1qPFJsQKigt3S1LdWPRXoA8JKD3BBj+9XP4tiM2/6Wm3sacoVJDJ5VOW6g=
=73Mr
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Thu, 21 Nov 2013 10:00:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Thu, 21 Nov 2013 10:00:17 GMT) Full text and rfc822 format available.

Message #22 received at 701962@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 701962@bugs.debian.org
Subject: Updates and packaging repository.
Date: Thu, 21 Nov 2013 10:55:50 +0100
[Message part 1 (text/plain, inline)]
  Hi:

  Meanwhile, I've set up a repository with latest packaging stuff [0]

  I hope to be able to upload a debian package at mentors.debian.net

  Regards,

  [0] http://trismegisto.no-ip.org/hg/libsodium-debian
-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Thu, 21 Nov 2013 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Ayer <agwa@andrewayer.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Thu, 21 Nov 2013 16:48:04 GMT) Full text and rfc822 format available.

Message #27 received at 701962@bugs.debian.org (full text, mbox):

From: Andrew Ayer <agwa@andrewayer.name>
To: Raúl Sánchez Siles <rasasi78@gmail.com>, 701962@bugs.debian.org
Subject: Re: Bug#701962: Updates and packaging repository.
Date: Thu, 21 Nov 2013 08:44:57 -0800 (PST)
On Thu, 21 Nov 2013, Ra?l S?nchez Siles wrote:

>  Meanwhile, I've set up a repository with latest packaging stuff [0]

Hi Raul,

I was working on this too but it looks like you're further along than 
me so I'll defer to you.  A couple things though...

First, the -dev package can't be Multi-Arch: same because of a couple 
of header files in libsodium that can potentially differ based on 
architecture:

https://github.com/jedisct1/libsodium/blob/0.4.5/src/libsodium/include/sodium/crypto_stream_salsa20.h.in
https://github.com/jedisct1/libsodium/blob/0.4.5/src/libsodium/include/sodium/crypto_scalarmult_curve25519.h.in

I think co-installable -dev packages are very nice though, so I was 
planning to ask upstream if they could refactor those header files to 
not be different on different architectures.

Second, don't forget to install the pkgconfig files 
(usr/lib/*/pkgconfig/*) in the -dev package.

Regards,

Andrew



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Thu, 21 Nov 2013 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Ayer <agwa@andrewayer.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Thu, 21 Nov 2013 17:09:04 GMT) Full text and rfc822 format available.

Message #32 received at 701962@bugs.debian.org (full text, mbox):

From: Andrew Ayer <agwa@andrewayer.name>
To: 701962@bugs.debian.org
Cc: rasasi78@gmail.com
Subject: Re: Bug#701962: Updates and packaging repository.
Date: Thu, 21 Nov 2013 09:04:43 -0800
On Thu, 21 Nov 2013 08:44:57 -0800 (PST)
Andrew Ayer <agwa@andrewayer.name> wrote:

> I think co-installable -dev packages are very nice though, so I was 
> planning to ask upstream if they could refactor those header files to 
> not be different on different architectures.

I have created a libsodium issue about this:
https://github.com/jedisct1/libsodium/issues/102

I'll report back what I hear.

Regards,

Andrew



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Sun, 24 Nov 2013 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Sun, 24 Nov 2013 20:21:04 GMT) Full text and rfc822 format available.

Message #37 received at 701962@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: Andrew Ayer <agwa@andrewayer.name>
Cc: 701962@bugs.debian.org
Subject: Re: Bug#701962: Updates and packaging repository.
Date: Sun, 24 Nov 2013 21:19:27 +0100
[Message part 1 (text/plain, inline)]
  Hi:

El Jueves, 21 de noviembre de 2013 08:44:57 Andrew Ayer escribió:
> Hi Raul,
> 
> I was working on this too but it looks like you're further along than 
> me so I'll defer to you.  A couple things though...

  Don't take my words as if I've raised a stop signal. I happen to found this 
bug as a side effect of building another stuff. If your motivation to work on 
this package is high I'd happily step back or if you want, help you in as much 
as I can.

> 
> First, the -dev package can't be Multi-Arch: same because of a couple 
> of header files in libsodium that can potentially differ based on 
> architecture:
> 
> 
https://github.com/jedisct1/libsodium/blob/0.4.5/src/libsodium/include/sodium/crypto_stream_salsa20.h.in
> 
https://github.com/jedisct1/libsodium/blob/0.4.5/src/libsodium/include/sodium/crypto_scalarmult_curve25519.h.in
> 
> I think co-installable -dev packages are very nice though, so I was 
> planning to ask upstream if they could refactor those header files to 
> not be different on different architectures.

  As I workaround I thought about disabling Multi-Arch for -dev package. I 
hope upstream fixes it or awaiting for a better solution.

  Pushed in repo [0], thanks

  [0] http://trismegisto.no-ip.org/hg/libsodium-debian/rev/6bf1efe9fcaa
> 
> Second, don't forget to install the pkgconfig files 
> (usr/lib/*/pkgconfig/*) in the -dev package.

  Fixed in the repo [1], thanks.

  [1] http://trismegisto.no-ip.org/hg/libsodium-debian/rev/7aa974a8c7d2
> 
> Regards,
> 
> Andrew

  Regards,

-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Wed, 27 Nov 2013 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Wed, 27 Nov 2013 22:57:04 GMT) Full text and rfc822 format available.

Message #42 received at 701962@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 701962@bugs.debian.org
Subject: Preliminary source package available
Date: Wed, 27 Nov 2013 23:51:46 +0100
[Message part 1 (text/plain, inline)]
  Available at mentors:

  http://mentors.debian.net/package/libsodium

  Note this package is subject to changes.

-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Wed, 22 Jan 2014 17:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <ghedo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Wed, 22 Jan 2014 17:12:09 GMT) Full text and rfc822 format available.

Message #47 received at 701962@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <ghedo@debian.org>
To: Raúl Sánchez Siles <rasasi78@gmail.com>, 701962@bugs.debian.org
Subject: Re: Bug#701962: Preliminary source package available
Date: Wed, 22 Jan 2014 18:10:11 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 27, 2013 at 11:51:46PM +0100, Raúl Sánchez Siles wrote:
>   Available at mentors:
> 
>   http://mentors.debian.net/package/libsodium
> 
>   Note this package is subject to changes.

Hi Raul,

would you be interested in maintaining this package in Debian? If so, I'd be
available for sponsoring you.

I've had a look at your package and I have a few comments:

* There's no need to Build-Depends and use both autotools-dev and dh-autoreconf,
  the latter is enough.

* I think you need to Build-Depends on pkg-config too, otherwise the *.pc file
  is not generated and the build fails when dh_install tries to install it.

* Standards-Version should be updated to 3.9.5.

* The *.shlibs file is kinda useless since you included the *.symbols file too.

* The changelog file has an outdated Format URL, it should be:

    Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

* The changelog doesn't list the files authored by djb. While they are in the
  public domain they should be documented as well, using something as:

    License: public-domain
     NaCl was written by Daniel J. Bernstein, and is placed in the public domain.

  as license.

* The packages' short descriptions should not end with a full stop ".".

* You should probably install the README.markdown file (and possibly the THANKS
  and AUTHORS) too as documentation.

* You should probably add a paragraph to the -dev and -dbg packages' long
  descriptions (such as "This package provides the {development files,debug
  symbols} for libsodium-" so that they are no identical to the libsodium4 one.

That's all for now (but I may have missed something).

Cheers

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 701962 blocks 736353 Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Mon, 03 Feb 2014 19:21:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Sun, 23 Feb 2014 11:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bartosz Feński <bartosz@fenski.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Sun, 23 Feb 2014 11:12:04 GMT) Full text and rfc822 format available.

Message #54 received at 701962@bugs.debian.org (full text, mbox):

From: Bartosz Feński <bartosz@fenski.pl>
To: 701962@bugs.debian.org, Raúl Sánchez Siles <rasasi78@gmail.com>
Subject: libsodium
Date: Sun, 23 Feb 2014 12:01:30 +0100
Hi Raul,

Did you fix problems mentioned by Alessandro?
Are you still working on libsodium?

I need this library to package tox.im for Debian.

regards,
fEnIo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Sun, 23 Feb 2014 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Sun, 23 Feb 2014 22:03:04 GMT) Full text and rfc822 format available.

Message #59 received at 701962@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: Bartosz Feński <bartosz@fenski.pl>
Cc: 701962@bugs.debian.org, Alessandro Ghedini <ghedo@debian.org>
Subject: Re: libsodium
Date: Sun, 23 Feb 2014 22:58:07 +0100
[Message part 1 (text/plain, inline)]
  Hi All:

El Domingo, 23 de febrero de 2014 12:01:30 Bartosz Feński escribió:
> Hi Raul,
> 
> Did you fix problems mentioned by Alessandro?
> Are you still working on libsodium?
> 
> I need this library to package tox.im for Debian.
> 
> regards,
> fEnIo

  I've just noticed about Alessandro comments. Unfortunately I overlooked 
them. Sorry about this.

  I've updated the packaging, based on upstream git snapshot. I didn't try 
harder for an upload for 0.4.5 since package and packaging was not ready for 
multi-arch. Recent git snapshots finally cope with multi-arch so I'm awaiting 
for a release.

  I've addressed most of the points Alessandro made. His comments were based 
on an old packaging version, so I already had fixed them. Copyright file is 
still not ready but I plan to fix it this week. Also removing autotools-dev b-p 
throws a lintian error and I've readded it. Alessandro, thanks a lot for the 
comments and for the sponsor offer.

  Repository and mentors have been updated as well. Feel free to review and 
send patches again them.

  Curiously enough, I also reach libsodium when trying to package tox.im :) So 
far I focused on libsodium package and I left tox behind.

  Regards,

-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Mon, 24 Feb 2014 06:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bartosz Feński <bartosz@fenski.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Mon, 24 Feb 2014 06:45:04 GMT) Full text and rfc822 format available.

Message #64 received at 701962@bugs.debian.org (full text, mbox):

From: Bartosz Feński <bartosz@fenski.pl>
To: Raúl Sánchez Siles <rasasi78@gmail.com>
Cc: 701962@bugs.debian.org, Alessandro Ghedini <ghedo@debian.org>
Subject: Re: libsodium
Date: Mon, 24 Feb 2014 07:42:15 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

W dniu 23.02.2014 22:58, Raúl Sánchez Siles pisze:
>   Hi All:
>
> El Domingo, 23 de febrero de 2014 12:01:30 Bartosz Feński escribió:
>> Hi Raul,
>>
>> Did you fix problems mentioned by Alessandro?
>> Are you still working on libsodium?
>>
>> I need this library to package tox.im for Debian.
>>
>> regards,
>> fEnIo
>
>   I've just noticed about Alessandro comments. Unfortunately I overlooked
> them. Sorry about this.
>
>   I've updated the packaging, based on upstream git snapshot. I didn't
try
> harder for an upload for 0.4.5 since package and packaging was not
ready for
> multi-arch. Recent git snapshots finally cope with multi-arch so I'm
awaiting
> for a release.

Sounds fair enough.

>
>   I've addressed most of the points Alessandro made. His comments were
based
> on an old packaging version, so I already had fixed them. Copyright
file is
> still not ready but I plan to fix it this week. Also removing
autotools-dev b-p
> throws a lintian error and I've readded it. Alessandro, thanks a lot
for the
> comments and for the sponsor offer.

I may also be your sponsor for this package (and for tox ;)).

>
>   Repository and mentors have been updated as well. Feel free to
review and
> send patches again them.

So version on mentors already copes with multi-arch or not?

>
>   Curiously enough, I also reach libsodium when trying to package
tox.im :) So
> far I focused on libsodium package and I left tox behind.
Well I didn't want to hijack tox.im. If you still want to package it
then feel free to reassign my ITP.

regards
fEnIo
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlMK6cAACgkQhQui3hP+/EAmhgCdE9+UOruMoB5BR+luP29Zegme
ETMAnAyRSKKyoYfzJ7/l8d3e27pao6CI
=iJPZ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Mon, 24 Feb 2014 08:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Mon, 24 Feb 2014 08:54:15 GMT) Full text and rfc822 format available.

Message #69 received at 701962@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 701962@bugs.debian.org
Subject: Re: libsodium
Date: Mon, 24 Feb 2014 09:51:29 +0100
[Message part 1 (text/plain, inline)]
El Lunes, 24 de febrero de 2014 07:42:15 Bartosz Feński escribió:
> 
> So version on mentors already copes with multi-arch or not?
> 

  Latest version uploaded to mentors, 0.4.5+git20140222.ffe39ab54474-1 *should* 
cope with multiarch. Packaging is also available on my repository.

  Regards,

-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Mon, 24 Feb 2014 11:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <ghedo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Mon, 24 Feb 2014 11:36:05 GMT) Full text and rfc822 format available.

Message #74 received at 701962@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <ghedo@debian.org>
To: Raúl Sánchez Siles <rasasi78@gmail.com>
Cc: Bartosz Feński <bartosz@fenski.pl>, 701962@bugs.debian.org
Subject: Re: libsodium
Date: Mon, 24 Feb 2014 12:32:16 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 23, 2014 at 10:58:07PM +0100, Raúl Sánchez Siles wrote:
>   Hi All:
> 
> El Domingo, 23 de febrero de 2014 12:01:30 Bartosz Feński escribió:
> > Hi Raul,
> > 
> > Did you fix problems mentioned by Alessandro?
> > Are you still working on libsodium?
> > 
> > I need this library to package tox.im for Debian.
> > 
> > regards,
> > fEnIo
> 
>   I've just noticed about Alessandro comments. Unfortunately I overlooked 
> them. Sorry about this.

No problem.

>   I've updated the packaging, based on upstream git snapshot. I didn't try 
> harder for an upload for 0.4.5 since package and packaging was not ready for 
> multi-arch. Recent git snapshots finally cope with multi-arch so I'm awaiting 
> for a release.

Ok.

>   I've addressed most of the points Alessandro made. His comments were based 
> on an old packaging version, so I already had fixed them. Copyright file is 
> still not ready but I plan to fix it this week. Also removing autotools-dev b-p 
> throws a lintian error and I've readded it.

What error? Note that you also have to remove "autotools-dev" from the dh
command in debian/rules.

Also, automake, autoconf and libtool build deps aren't needed either since thay
are pulled in by dh-autoreconf (and AFAICT you are not using them directly).

See attached patch for example.

Another nitpick, since you are using mercurial to maintain the package, you
may want to populate the Vcs-* headers in debian/control as well (and ideally
move the repository to Debian's alioth service [0] [1]).

Cheers

[0] https://wiki.debian.org/Alioth/PackagingProject
[1] https://wiki.debian.org/Alioth/Hg

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[0001-Do-not-use-autotools-dev.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>:
Bug#701962; Package wnpp. (Thu, 20 Mar 2014 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "csosstudy E." <csosstudy@gmail.com>. (Thu, 20 Mar 2014 15:09:05 GMT) Full text and rfc822 format available.

Message #79 received at 701962@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Raúl Sánchez Siles <rasasi78@gmail.com>
Cc: 701962@bugs.debian.org
Subject: libsodium packaging
Date: Thu, 20 Mar 2014 16:05:34 +0100
Hi Raúl,

How is the libsodium packaging stand? You got advices from Alessandro
Ghedini almost a month ago, but I don't see any reply from you.
It would be good to have it updated (due to removed bashism[1]) and
uploaded to Debian. May I finish the packaging based on your work?
Make you the maintainer / uploader (based on your wish) while I'd take
the other position.

Regards,
Laszlo/GCS
[1] https://github.com/jedisct1/libsodium/commit/9b82685f142ca392cc0d4774e33be6570b2139f3



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#701962; Package wnpp. (Fri, 21 Mar 2014 05:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "csosstudy E." <csosstudy@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 21 Mar 2014 05:33:05 GMT) Full text and rfc822 format available.

Message #84 received at 701962@bugs.debian.org (full text, mbox):

From: "csosstudy E." <csosstudy@gmail.com>
To: László Böszörményi <gcs@debian.org>, 701962@bugs.debian.org
Subject: Re: Bug#701962: libsodium packaging
Date: Fri, 21 Mar 2014 13:29:08 +0800
I don't have enough time, so you can be the mainainer/uploader if you want.

On Thu, Mar 20, 2014 at 11:05 PM, László Böszörményi <gcs@debian.org> wrote:
> Hi Raúl,
>
> How is the libsodium packaging stand? You got advices from Alessandro
> Ghedini almost a month ago, but I don't see any reply from you.
> It would be good to have it updated (due to removed bashism[1]) and
> uploaded to Debian. May I finish the packaging based on your work?
> Make you the maintainer / uploader (based on your wish) while I'd take
> the other position.
>
> Regards,
> Laszlo/GCS
> [1] https://github.com/jedisct1/libsodium/commit/9b82685f142ca392cc0d4774e33be6570b2139f3



Owner changed from "csosstudy E." <csosstudy@gmail.com> to László Böszörményi (GCS) <gcs@debian.org>. Request was from László Böszörményi (GCS) <gcs@debian.org> to control@bugs.debian.org. (Fri, 21 Mar 2014 18:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, László Böszörményi (GCS) <gcs@debian.org>:
Bug#701962; Package wnpp. (Fri, 21 Mar 2014 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, László Böszörményi (GCS) <gcs@debian.org>. (Fri, 21 Mar 2014 22:36:05 GMT) Full text and rfc822 format available.

Message #91 received at 701962@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: László Böszörményi (GCS) <gcs@debian.org>
Cc: 701962@bugs.debian.org
Subject: Re: libsodium packaging
Date: Fri, 21 Mar 2014 23:32:39 +0100
[Message part 1 (text/plain, inline)]
  Hi László:

El Jueves, 20 de marzo de 2014 16:05:34 László Böszörményi escribió:
> Hi Raúl,
> 
> How is the libsodium packaging stand? You got advices from Alessandro
> Ghedini almost a month ago, but I don't see any reply from you.

  Latest advice from Alessandro was very specific, I updated package on my 
repository and reply him privately shortly after his email. I'd say package is 
in good shape and you can take it from either mentors or my repository [0]

  [0] http://trismegisto.no-ip.org/hg/libsodium-debian

  It's also my intention to move my repo to debian hosting, but no sooner 
there's a real need to do so.

> It would be good to have it updated (due to removed bashism[1]) and
> uploaded to Debian. May I finish the packaging based on your work?
> Make you the maintainer / uploader (based on your wish) while I'd take
> the other position.

  As I think I mentioned before, I have no plans to push this into the archive 
until I see a new upstream release. This said, feel free to take/use/modify 
what's already done, it's free software after all, I'm also open for a 
(preferably mercurial) collab-maint repository .

  I'm curious about what you think the package is missing (beside upstream 
release).

  If you really think [1] is really important I may try a refreshed upstream 
snapshot + mentors upload.

> 
> Regards,
> Laszlo/GCS
> [1]
> https://github.com/jedisct1/libsodium/commit/9b82685f142ca392cc0d4774e33be6
> 570b2139f3


  Regards,

-- 
     Raúl Sánchez Siles
----->Proud Debian user<-----
Linux registered user #416098
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#701962; Package wnpp. (Sat, 22 Mar 2014 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 22 Mar 2014 06:39:04 GMT) Full text and rfc822 format available.

Message #96 received at 701962@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Raúl Sánchez <rasasi78@gmail.com>
Cc: 701962@bugs.debian.org
Subject: Re: libsodium packaging
Date: Sat, 22 Mar 2014 07:35:07 +0100
Hi Raúl,

On Fri, Mar 21, 2014 at 11:32 PM, Raúl Sánchez <rasasi78@gmail.com> wrote:
>   Latest advice from Alessandro was very specific, I updated package on my
> repository and reply him privately shortly after his email. I'd say package is
> in good shape and you can take it from either mentors or my repository [0]
>
>   [0] http://trismegisto.no-ip.org/hg/libsodium-debian
 Cool! Your debian/copyright looks much better now. I've to check it.

>   It's also my intention to move my repo to debian hosting, but no sooner
> there's a real need to do so.
 That would be when the package is accepted into the archive. But as
far as I may get commit access to your repository, it's not strictly
needed.

>   As I think I mentioned before, I have no plans to push this into the archive
> until I see a new upstream release.
 Are you in contact with upstream? Any ETA when s/he will have a new release?

>   I'm curious about what you think the package is missing (beside upstream
> release).
 I've some small changes over your packaging[1].

>   If you really think [1] is really important I may try a refreshed upstream
> snapshot + mentors upload.
 It's needed before the package is included in Debian. In general, it
would be nice to have the latest git snapshot of upstream source if
there's no stable release until then.

Regards,
Laszlo/GCS
[1] dget -x http://www.barcikacomp.hu/gcs/libsodium_0.4.5+git20140313.dbe51e8ff8-1.dsc



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:59:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.